mesa/main.sh

29 lines
714 B
Bash
Raw Normal View History

2023-08-08 18:49:33 +02:00
#! /bin/bash
2024-07-29 17:04:06 +02:00
2023-08-08 18:49:33 +02:00
set -e
2024-09-13 17:56:32 +02:00
VERSION="24.2.2"
2024-07-29 17:04:06 +02:00
source ./pika-build-config.sh
echo "$PIKA_BUILD_ARCH" > pika-build-arch
2023-08-08 18:36:56 +02:00
# Clone Upstream
2024-07-29 17:04:06 +02:00
git clone https://gitlab.freedesktop.org/mesa/mesa -b mesa-"$VERSION"
2023-08-08 18:36:56 +02:00
cp -rvf ./debian ./mesa/
cd ./mesa
2023-10-05 22:15:36 +02:00
for i in $(cat ../patches/series) ; do echo "Applying Patch: $i" && patch -Np1 -i ../patches/$i || bash -c "echo "Applying Patch $i Failed!" && exit 2"; done
2023-08-09 14:14:09 +02:00
sed -i ' 1 s/.*/& - PikaOS YellowBirb Mesa Stable/' ./VERSION
2023-08-08 18:36:56 +02:00
# Get build deps
apt-get build-dep ./ -y
# Build package
2024-07-29 17:04:06 +02:00
LOGNAME=root dh_make --createorig -y -l -p mesa_"$VERSION" || echo "dh-make: Ignoring Last Error"
2023-08-08 18:36:56 +02:00
dpkg-buildpackage --no-sign
# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/